using System;
using System.Collections.Generic;
using System.Text;

namespace BLL
{
   public class BLLactiveInfo
    {
        private static readonly DAL.DALactiveInfo getActiveInfo = new DAL.DALactiveInfo();
        /// <summary>
        /// MODEL--操作活动附表（存储用户投票信息，防止重复投票）
        /// </summary>

        #region 添加
       public static void Insert(int actID, int empID)
        {
            getActiveInfo.Insert(actID, empID);
          
        }

        #endregion

        #region 更新
        public static void Update(MODEL.ActiveInfo activeInfo)
        {
            getActiveInfo.Update(activeInfo);
        }
        #endregion

        #region 删除
        public static void Delete(MODEL.ActiveInfo activeInfo)
        {
            getActiveInfo.Delete(activeInfo);
        }
        #endregion

       public static bool checkActive(int actID,int empID)
       {
          return getActiveInfo.checkActive(actID,empID);
       }
    }
}
